Create a Groq inference endpoint

Auth

Create an inference endpoint to perform an inference task with the groq service.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: chat_completion
groq_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout string · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Request body

service enum required

The type of service supported for the specified task type. In this case, groq.

Values: groq
service_settings object required

Settings used to install the inference model. These settings are specific to the groq service.

model_id string required

The name of the model to use for the inference task. Refer to the Groq model documentation for the list of supported models and versions. Service has been tested and confirmed to be working for completion and chat_completion tasks with the following models:

  • llama-3.3-70b-versatile
api_key string

A valid API key for accessing Groq API.

Important

You need to provide the API key only once, during the inference model creation. The get inference endpoint API does not retrieve your API key.

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: chat_completion